import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { RouterModule } from '@angular/router';

import {ProjectTitleFormatter} from './projectTitleFormatter.component';
import {PublicationTitleFormatter} from './publicationTitleFormatter.component';
import {ClaimEntityFormatter} from './claimEntityFormatter.component';

 @NgModule({
  imports: [
    CommonModule, RouterModule
   ],
  declarations: [
    ProjectTitleFormatter, PublicationTitleFormatter, ClaimEntityFormatter

  ],
  providers:    [   ],
  exports: [
    ProjectTitleFormatter, PublicationTitleFormatter, ClaimEntityFormatter

   ]
})
export class ClaimEntityFormatterModule { }
