import {NgModule} from '@angular/core';
import {SharedModule} from '../../../shared/shared.module';
import {MetadataPreviewComponent} from './metadataPreview.component';
import {AlertModalModule} from '../../../utils/modal/alertModal.module';
import {ClaimEntitiesMetadataModule} from "./ClaimEntitiesMetadata.module";
import {InsertClaimsModule} from "../insertClaim/insertClaim.module";
import { MatDatepickerModule, MatNativeDateModule, MatFormFieldModule, MatInputModule, MatSelectModule} from '@angular/material';
import {HelperModule} from "../../../utils/helper/helper.module";

@NgModule({
  imports: [
    SharedModule,
    AlertModalModule,
    ClaimEntitiesMetadataModule,
    InsertClaimsModule,
    MatDatepickerModule,   MatNativeDateModule, MatFormFieldModule, MatInputModule, MatSelectModule,
    HelperModule
  ],
  declarations: [MetadataPreviewComponent],
  exports:[MetadataPreviewComponent]
})
export class MetadataPreviewModule { }
