import {Injectable} from '@angular/core';
import {HttpClient} from "@angular/common/http";
import{EnvProperties} from '../../utils/properties/env-properties';
import {map} from "rxjs/operators";

@Injectable()
export class SearchCommunityProjectsService {
    constructor(private http: HttpClient ) {}

    searchProjects (properties:EnvProperties, pid: string):any {
        let url = properties.communityAPI+pid+"/projects";

        return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url);
                    //.map(res => <any> res.json())
    }
    countTotalProjects(properties:EnvProperties,pid:string) {
        let url = properties.communityAPI+pid+"/projects";
        return  this.http.get((properties.useCache) ? (properties.cacheUrl + encodeURIComponent(url)) : url)
          .pipe(map(res => res['length']));
    }
}
