import { NgModule}            from '@angular/core';
import { CommonModule }       from '@angular/common';
import { RouterModule }       from '@angular/router';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

import { MailPrefsComponent } from './mailPrefs.component';
import { MailPrefsService }   from './mailPrefs.service';
import {ErrorMessagesModule}    from '../../utils/errorMessages.module';

@NgModule({
  imports: [
    CommonModule, RouterModule, FormsModule, ReactiveFormsModule, ErrorMessagesModule
  ],
  declarations: [
    MailPrefsComponent
  ],
  providers:[MailPrefsService],
  exports: [
    MailPrefsComponent
  ]
})
export class MailPrefsModule { }
