import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {RouterModule} from '@angular/router';

import {ContactUsComponent} from './contact-us.component';
import {RecaptchaModule} from "ng-recaptcha";
import {ReactiveFormsModule} from "@angular/forms";
import {MatAutocompleteModule} from "@angular/material/autocomplete";

@NgModule({
  imports: [
    CommonModule, RouterModule,
    RecaptchaModule.forRoot(), ReactiveFormsModule, MatAutocompleteModule],
    declarations: [
        ContactUsComponent
    ],
    providers: [],
    exports: [
        ContactUsComponent
    ]
})

export class ContactUsModule {
}
