import { NgModule } from '@angular/core';
import {CommonModule} from '@angular/common';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {AlertModalModule} from '../../utils/modal/alertModal.module';
import {SafeHtmlPipeModule} from '../../utils/pipes/safeHTMLPipe.module';
import {DivContentFormComponent} from './div-help-content-form.component';
import {CKEditorModule} from 'ng2-ckeditor';

@NgModule({
    imports: [
        CommonModule, FormsModule,
        SafeHtmlPipeModule, CKEditorModule,
        AlertModalModule, ReactiveFormsModule
    ],
    declarations: [
        DivContentFormComponent
    ],
    exports: [DivContentFormComponent]
})
export class DivHelpContentFormModule { }
