import {NgModule} from '@angular/core';
import {RouterModule} from '@angular/router';
import {CommonModule} from '@angular/common';
import {EditDivHelpContentComponent} from './edit-div-help-content.component';
import {DivHelpContentFormModule} from './div-help-content-form.module';
import {AdminToolServiceModule} from "../../services/adminToolService.module";
import {EditDivHelpContentRoutingModule} from "./edit-div-help-content-routing.module";

@NgModule({
    imports: [
        CommonModule,  RouterModule,
        DivHelpContentFormModule, AdminToolServiceModule, EditDivHelpContentRoutingModule
    ],
    declarations: [
        EditDivHelpContentComponent
    ],
    exports: [EditDivHelpContentComponent]
})
export class EditDivHelpContentModule { }
