import {NgModule} from '@angular/core';
import {RouterModule} from '@angular/router';
import {CommonModule} from '@angular/common';
import {IsCommunity} from '../../connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../connect/communityGuard/connectAdminLoginGuard.guard';
import {EditPageHelpContentComponent} from './edit-page-help-content.component';
import {PageHelpContentFormModule} from './page-help-content-form.module';
import {AdminToolServiceModule} from "../../services/adminToolService.module";
import {EditPageHelpContentRoutingModule} from "./edit-page-help-content-routing.module";

@NgModule({
    imports: [
        CommonModule,  RouterModule,
        PageHelpContentFormModule, AdminToolServiceModule, EditPageHelpContentRoutingModule
    ],
    declarations: [
        EditPageHelpContentComponent
    ],
    providers: [IsCommunity, ConnectAdminLoginGuard],
    exports: [EditPageHelpContentComponent]
})
export class EditPageHelpContentModule { }
