//import {MaterialModule} from '@angular/material';
import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';
import { ProjectServiceModule} from '../project/projectService.module';


import {HtmlProjectReportService} from './htmlProjectReport.service';
import {HtmlProjectReportComponent} from './htmlProjectReport.component';
import {PiwikServiceModule} from '../../utils/piwik/piwikService.module';
import { SEOServiceModule } from '../../sharedComponents/SEO/SEOService.module';
import {HelperModule} from "../../utils/helper/helper.module";
import {RouterModule}               from '@angular/router';

@NgModule({
  imports: [
    CommonModule, FormsModule, ProjectServiceModule, PiwikServiceModule, SEOServiceModule, HelperModule,
    RouterModule
  ],
  declarations: [
  HtmlProjectReportComponent
  ],
  providers:[
    HtmlProjectReportService
   ],
  exports: [
  HtmlProjectReportComponent
    ]
})
export class HtmlProjectReportModule { }
