import {NgModule} from "@angular/core";
import {LandingHeaderComponent} from "./landing-header.component";
import {CommonModule} from "@angular/common";
import {LandingModule} from "../landing.module";
import {ShowAuthorsModule} from "../../../utils/authors/showAuthors.module";

@NgModule({
  imports: [CommonModule, LandingModule, ShowAuthorsModule],
  declarations: [LandingHeaderComponent],
  exports: [LandingHeaderComponent]
})
export class LandingHeaderModule {}