import {Component, Input, Output, EventEmitter} from '@angular/core';

@Component({
    selector: 'tabPaging',
    template: `
        <div class="uk-panel" *ngIf="!showAll && length > 10">
            <a (click)="changeShowAll.emit({value: true});">
                <div class="uk-float-right">view all {{length | number}}</div>
            </a>
        </div>
    `
    })

export class TabPagingComponent {
    @Input() showAll: boolean;
    @Input() length: number;
    @Output() changeShowAll: EventEmitter<any> = new EventEmitter();

    constructor () {
    }

    ngOnInit() {
    }
}
