import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import {SearchFilterComponent} from './searchFilter.component';
import{SearchFilterModalComponent} from './searchFilterModal.component';
import {ModalModule} from '../../utils/modal/modal.module';
import {MatSelectModule} from "@angular/material";
import {RouterModule} from "@angular/router";

@NgModule({
  imports: [
    CommonModule, FormsModule, ModalModule, MatSelectModule, RouterModule
  ],
  declarations: [
    SearchFilterComponent, SearchFilterModalComponent
],

  providers:[
  ],
  exports: [
    SearchFilterComponent, SearchFilterModalComponent

    ]
})
export class SearchFilterModule { }
