import { NgModule}            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import {TabResultComponent} from './tabResult.component';
import {RouterModule} from '@angular/router';
import {ShowAuthorsModule} from "../../utils/authors/showAuthors.module";

@NgModule({
  imports: [
    CommonModule, FormsModule,
    RouterModule, ShowAuthorsModule
   ],
  declarations: [
    TabResultComponent,
  ],
  providers:[
  ],
  exports: [
      TabResultComponent
    ]
})
export class TabResultModule { }
