export class ProjectInfo {
    id:string;
    acronym: string;
    title: string;

    funding: {funderName: string, funderShortName: string, code: string, callIdentifier: string,
      fundingStream: string, budget: string, contribution: string, currency: string};
    startDate: number;
    endDate: number;
    currentDate: number;
    status: string;
    openAccessMandatePublications: string;
    openAccessMandateDatasets: string;
    specialClause39: string;
    organizations: { "acronym": string, "name": string, "id": string }[];//Map<string, string>;
    url: string;
    urlInfo: string;
    description: string;
    //publications: any;
    researchData: any;

    totalPublications: number;
    totalDatasets: number;
    publicationsStatus: any;
}
