import {NgModule} from '@angular/core';
import {CommonModule} from '@angular/common';
import {FormsModule} from '@angular/forms';
import {RouterModule} from '@angular/router';

import {pagingFormatterNoLoad} from './pagingFormatterNoLoad.component';

import {PagingFormatter} from './pagingFormatter.component';


@NgModule({
  imports: [
    CommonModule, FormsModule, RouterModule
  ],
  declarations: [
    pagingFormatterNoLoad,
    PagingFormatter,
  ],
  exports: [
    pagingFormatterNoLoad,
    PagingFormatter,
  ]
})
export class PagingModule {}
