import {NgModule} from "@angular/core";
import {CommonModule} from "@angular/common";
import {ResultPreviewComponent} from "./result-preview.component";
import {RouterModule} from "@angular/router";
import {ShowAuthorsModule} from "../authors/showAuthors.module";
import {ResultLandingUtilsModule} from "../../landingPages/landing-utils/resultLandingUtils.module";
import {OrcidModule} from "../../orcid/orcid.module";

@NgModule({
  imports: [CommonModule, RouterModule, ShowAuthorsModule, ResultLandingUtilsModule, OrcidModule],
  declarations: [ResultPreviewComponent],
  exports: [ResultPreviewComponent]
})
export class ResultPreviewModule {}