import { NgModule} from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import {ThemeRoutingModule} from "./theme-routing.module";
import {ThemeComponent} from "./theme.component";

@NgModule({
  imports: [
    CommonModule, RouterModule,
    ThemeRoutingModule
  ],
  declarations: [
    ThemeComponent
  ],
  exports: [
    ThemeComponent
  ]
})
export class ThemeModule {}
