import { NgModule } from '@angular/core';

import { SharedModule } from '../../shared/shared.module';
import { ClaimContextSearchFormComponent } from './claimContextSearchForm.component';
 import {StaticAutocompleteModule} from '../../utils/staticAutoComplete/staticAutoComplete.module';
 import { RouterModule } from '@angular/router';
 import {HelperModule} from '../../utils/helper/helper.module';

@NgModule({
  imports: [
    SharedModule,RouterModule,
    StaticAutocompleteModule,
    HelperModule

  ],
  declarations: [
    ClaimContextSearchFormComponent
  ], exports: [ClaimContextSearchFormComponent ]
})
export class ClaimContextSearchFormModule { }
