import { NgModule } from '@angular/core';

import { SharedModule } from '../../../shared/shared.module';
import {AlertModalModule} from '../../../utils/modal/alertModal.module';
import {LoadingModalModule} from '../../../utils/modal/loadingModal.module';
import {ClaimInsertComponent} from './insertClaim.component';
import {ClaimServiceModule} from '../../claim-utils/service/claimsService.module';

@NgModule({
  imports: [
    SharedModule, AlertModalModule, LoadingModalModule, ClaimServiceModule
  ],
  declarations: [ClaimInsertComponent],
   exports:[ ClaimInsertComponent]
})
export class InsertClaimsModule { }
