import {NgModule} from '@angular/core';
import {RouterModule} from '@angular/router';
import {CommonModule} from '@angular/common';
import {NewDivHelpContentComponent} from './new-div-help-content.component';
import {DivHelpContentFormModule} from './div-help-content-form.module';
import {AdminToolServiceModule} from "../../services/adminToolService.module";
import {NewDivHelpContentRoutingModule} from "./new-div-help-content-routing.module";

@NgModule({
    imports: [
        CommonModule,  RouterModule,
        DivHelpContentFormModule, AdminToolServiceModule, NewDivHelpContentRoutingModule
    ],
    declarations: [
        NewDivHelpContentComponent
    ],
    exports: [NewDivHelpContentComponent]
})
export class NewDivHelpContentModule { }
