import {NgModule} from '@angular/core';
import {RouterModule} from '@angular/router';
import {CommonModule} from '@angular/common';
import {IsCommunity} from '../../connect/communityGuard/isCommunity.guard';
import {ConnectAdminLoginGuard} from '../../connect/communityGuard/connectAdminLoginGuard.guard';
import {NewPageHelpContentComponent} from './new-page-help-content.component';
import {PageHelpContentFormModule} from './page-help-content-form.module';
import {AdminToolServiceModule} from "../../services/adminToolService.module";
import {NewPageHelpContentRoutingModule} from "./new-page-help-content-routing.module";

@NgModule({
    imports: [
        CommonModule,  RouterModule,
        PageHelpContentFormModule, AdminToolServiceModule, NewPageHelpContentRoutingModule
    ],
    declarations: [
        NewPageHelpContentComponent
    ],
    providers: [IsCommunity, ConnectAdminLoginGuard],
    exports: [NewPageHelpContentComponent]
})
export class NewPageHelpContentModule { }
