import {NgModule} from "@angular/core";
import {AnnotationComponent} from "./annotation.component";
import {CommonModule} from "@angular/common";
import {DragDropModule} from "@angular/cdk/drag-drop";
import {RouterModule} from "@angular/router";
import {LoadingModule} from "../../utils/loading/loading.module";

@NgModule({
  imports: [CommonModule, DragDropModule, RouterModule, LoadingModule],
    declarations: [AnnotationComponent],
    exports: [AnnotationComponent]
})
export class AnnotationModule {}
