export class SearchUtilsClass{
  page:number = 1;
  size:number = 10;
  status:number = 1;
  refineStatus:number = 1;
  keyword:string = "";
  baseUrl:string = "";
  totalResults = null;
  totalResultsNoFilters:number; // for organization landing - tab with projects
  sortBy: string = "";
}

export class SearchCustomFilter{
 fieldName:string; //Country
 queryFieldName:string; //country
 valueId:string; //gr
 valueName:string; // Greece
 isHiddenFilter:boolean;
 selected:boolean;
 promptToAddFilter:boolean;
 constructor( fieldName:string, queryFieldName:string, valueId:string, valueName:string ){
   this.isHiddenFilter = true;
   this.fieldName = fieldName;
   this.queryFieldName = queryFieldName;
   this.valueId = valueId;
   this.valueName = valueName;
   this.selected = null;
   this.promptToAddFilter = false;
 }

 public getParameters(params={}){
   if(!this.isHiddenFilter){
     params[this.queryFieldName] = this.valueId;
     params['cf'] = true;
   }
   return params;
 }
  // public setFilter(filter:SearchCustomFilter){
  //  if(!filter){
  //    return;
  //  }
  //   this.fieldName = filter.fieldName;
  //   this.queryFieldName = filter.queryFieldName;
  //   this.valueId = filter.valueId;
  //   this.valueName = filter.valueName;
  // }
}
