import { NgModule }            from '@angular/core';
import { CommonModule }        from '@angular/common';
import { FormsModule }         from '@angular/forms';

import { RouterModule } from "@angular/router";

import { NavigationBarComponent} from './navigationBar.component';

import { UserMiniModule} from '../login/userMiniModule.module';
import {SearchBarModule} from "./searchBar/searchBar.module";

@NgModule({
  imports: [
    CommonModule, FormsModule,
    RouterModule,
    UserMiniModule, SearchBarModule
  ],
  declarations: [
    NavigationBarComponent
  ],
  providers:[],
  exports: [
    NavigationBarComponent
    ]
})
export class NavigationBarModule{ }
