import {NgModule} from '@angular/core';
import {SharedModule} from '../../shared/shared.module';
import {SearchInputComponent} from './search-input.component';
import {MatAutocompleteModule} from '@angular/material/autocomplete';
import {IconsModule} from '../../utils/icons/icons.module';
import {IconsService} from '../../utils/icons/icons.service';
import {search} from '../../utils/icons/icons';

@NgModule({
  imports: [SharedModule, MatAutocompleteModule, IconsModule],
  declarations: [SearchInputComponent],
  exports: [SearchInputComponent]
})
export class SearchInputModule {
  constructor(private iconsService: IconsService) {
    this.iconsService.registerIcons([search]);
  }
}
