export interface OrganizationProject {
  name: string;
  id: string;
  code: string;
  acronym: string;
  funder: string;
  funderId: string;
  fundingStream: string;
  fundingLevel1: string;
  fundingLevel2: string;
  sc39: string;
  startDate: string;
  endDate: string;
}

export class OrganizationInfo {
  relcanId;
  title: { name: string; url: string; };
  name: string;
  country: string;
  objIdentifier: string;
  
  
  projects: Map<string, OrganizationProject[]>;
  //dataProviders: { name: string; url: string; type: string; websiteUrl: string;
  //                    organizations: {name: string; url: string}[]}[];
  
  deletedByInferenceIds: string[];
}
