import { Component, Input} from '@angular/core';
import {EnvProperties} from "../properties/env-properties";
import {properties} from "../../../../environments/environment";
@Component({
    selector: 'manage',
    template: `
        <a *ngIf="communityId" [href]="properties.adminPortalURL + '/dashboard?communityId='+communityId"
        [class]=" ((buttonSizeSmall)?'uk-button-small':'')+' uk-button portal-button'"
         target="_blank">
            Manage
        </a>
        <a *ngIf="alias" [href]="properties.domain + properties.baseLink + '/dashboard/admin/' + alias"
           [class]=" ((buttonSizeSmall)?'uk-button-small':'')+' uk-button portal-button'"
           target="_blank">
          Manage
        </a>
    `
})

export class ManageComponent {
   @Input() communityId:string;
   @Input() alias: string;
   @Input() buttonSizeSmall = true;
   properties: EnvProperties = properties;
   constructor() {}
}
